$include mcpterm

set tplot(t) /8/;

parameter benefit	Time frame of benefits;
loop(tplot,
  benefit(t,"abate") = na;
  benefit(t,"abate")$grad(t,tplot) = PD.l(t)*grad(t,tplot)*2*a1/9
		* (teref(t) + SUM(tpp, grad(t,tpp)*(E.L(tpp)-eref(tpp)))) / (-PE.L(tplot));
);

parameter srvshr;
loop(tplot(tp),
	srvshr(tc,tp)$(ord(tc) > ord(tp)) = (1-dk)**(10*max(0,ord(tc)-ord(tp)-1));
);

parameter profit;
profit(tplot) = sum(t, srvshr(t,tplot) * gamma*PQ.l(t)*Q.L(t)/K.L(t)) - PC.L(tplot)/10;
display profit, srvshr;

loop(tplot,
  benefit(t,"invest") = na;
  benefit(t,"invest")$srvshr(t,tplot) = srvshr(t,tplot) * gamma * PQ.l(t)*Q.l(t)/K.L(t) / (PC.l(tplot)/10);
);

display benefit;


set tdomain(tc) /7*20/;
$setglobal domain tdomain
$setglobal batch no
parameter yr(tc); yr(tc) = 10 * ord(tc);
*.$libinclude plot srvshr
$setglobal xvalue yr
$libinclude plot benefit

