set	t /1*40/;

set sc / mcp5,mcp10,mcp20,mcp40,nlp5,nlp10,nlp20,nlp40 /
set mcp(sc)	/ mcp5,mcp10,mcp20,mcp40/;
set nlp(sc)	/ nlp5,nlp10,nlp20,nlp40 /;
set mcp_nlp(sc) / mcp40, nlp5,nlp10,nlp20,nlp40 /;

variable 
	E(sc,t)		Emissions path,
	K(sc,t)		Capital stock
	I(sc,t)		Investment
	MIU(sc,t)	Emissions control rate;

equation	EE(sc,t)	Emissions;


$gdxin merged.gdx
$load E MIU K I EE

parameter	emit(t,sc)		Optimal emissions,
		control0(t,sc)		Emission control rate across all scenarios
		control1(t,mcp_nlp)	Capital investment rate
		control2(t,mcp_nlp)	Shadow price on emissions 
		pctdev(t,sc)		Percentage deviation in control;

$libinclude plot

pctdev(t,sc) = na;
pctdev(t,sc)$MIU.L(sc,t) = 100 * (MIU.L(sc,t)/(MIU.L("mcp40",t)$mcp(sc) + MIU.L("nlp40",t)$nlp(sc))-1);
pctdev(t,"nlp40") = na;
pctdev(t,"mcp40") = na;
*.$libinclude plot pctdev

emit(t,sc) = na;
emit(t,sc)$E.L(sc,t) = E.L(sc,t);
display emit;

*.set tlbl(t) /5 50, 10 100, 15 150, 20 200, 25 250, 30 300, 35 350, 40 400/;
*$setglobal gp_opt1 'set key below width 3'
*.$setglobal labels tlbl
$setglobal gp_opt1 'unset key'
$setglobal domain t
$setglobal gp_opt2 "set xlabel 'Year'"
$setglobal gp_opt3 "set ylabel 'Emissions control rate (in percent)'"

parameter year(t);
year(t) = 400 * (ord(t)-1)/(card(t)-1);
$setglobal xvalue year

control0(t,sc) = na;
control0(t,sc)$K.L(sc,t) = 100 * MIU.L(sc,t) + EPS;

control1(t,mcp_nlp) = na;
control1(t,mcp_nlp)$K.L(mcp_nlp,t) = 100 * I.L(mcp_nlp,t);

control2(t,mcp_nlp) = na;
control2(t,mcp_nlp)$K.L(mcp_nlp,t) = 100 * ABS(EE.M(mcp_nlp,t));


display control0, control1,control2;

$libinclude plot control0
